using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;
using PSO2SERVER.Party;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x0B, 0xCD)]
    public class AcceptStoryQuestHandler : PacketHandler
    {
        public struct AcceptStoryQuestPacket
        {
            public uint name_id;
            public uint unk;
        }

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            //var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            //Logger.WriteHex(info, data);

            var reader = new PacketReader(data, position, size);
            var pkt = reader.ReadStruct<AcceptStoryQuestPacket>();

            Logger.Write("任务编号: " + pkt.name_id + " unk: " + pkt.unk);

            PartyManager.Instance.CreateNewParty(context);

            // 告诉客户端切换到加载界面
            //context.SendPacket(new LoadingScreenTransitionPacket());
        }
    }
}
